//
//  MainMenu.swift
//  ArkitDoushiQi
//
//  Created by Johan LACHENAL on 16/05/2024.
//

import SwiftUI

struct MainMenu: View {
    @State private var action: Int? = 0
    var body: some View {
        NavigationView {
            VStack {
                Spacer()
                MainMenuButton(title: "parties enregistrées")
                { Text("parties enregistrées page") }
                Spacer().frame(height: 20)
                MainMenuButton(title: "paramètres")
                { Text("paramètres page") }
                Spacer().frame(height: 20)
                MainMenuButton(title: "jouer")
                { Text("jeu page") }
                Spacer()
            }
            .fixedSize(horizontal: false, vertical: true)
            .padding(EdgeInsets(top: 10, leading: 32, bottom: 10, trailing: 32))
        }
    }
}

struct MainMenu_Previews: PreviewProvider {
    static var previews: some View {
        MainMenu()
    }
}
